﻿body {
    font-family: Muli, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    text-align: left;
    font-size: 1rem;
    font-weight: 200;
    line-height: 1.5;
    color:#212529;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position:sticky; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow:scroll; /* Enable scroll if needed */
    background-color: lightyellow; /* rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    margin:auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 0.3rem;
    outline: 0;
    width: 80%;
}

.text-white {
    color: white;
}

button.close{
    background-color:transparent;
    border: 0;
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: 700;
    line-height: 1;
    text-shadow: 0px 1px 0px #fff;
    /*opacity: 0.5;*/
}

button, [type='button'], [type='reset'],
[type='submit'] {
    -webkit-appearance: button;
}


button,select{
    text-transform:none;
}


button, input {
    overflow: visible;
}

input, button, select, optgroup, textarea {
    font-family: inherit;
}

button {
    border-radius: 0;
}

button:not(:disabled), [type='button']:not(:disabled),
[type='reset']:not(:disabled),[type='submit']:not(:disabled) {
    cursor:pointer;
}

    .close:hover,
    .close:focus {
        color: white;
        text-decoration: none;
        cursor: pointer;
    }



h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6 {   
    font-weight: 600;
    margin-bottom: 0.5rem;
    line-height: 1.2;
}


h1, h2, h3, h4, h5, h6 {
    margin-top: 0px;
}


    h4, .h4 {
        font-size: 1.5rem;
    }

    h5,.h5 {
        font-size: 1.25rem;
    }

    h6,.h6 {
        font-size:1rem;
    }


.modal-title{
    margin-bottom: 0px;
    line-height: 1.5;
}


.modal-header .close{
    padding: 1rem 1rem;
    margin: -1rem -1rem -1rem auto;
}

.bg-danger{
    background-color: #d0021b !important;
}


.modal-header{
    display:flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #d5d7da;
    border-top-left-radius: calc(0.3rem - 1px);
    border-bottom-right-radius: calc(0.3rem - 1px);
}


.modal-dialog-scrollable .modal-body {
overflow-y: auto;
}

.modal-dialog-scrollable .modal-header, .modal-dialog-scrollable .modal-footer {
    flex-shrink:0;
}

.modal-body {
position: relative;
flex:1 1 auto;
padding: 1rem;
}

p {
    margin-top: 0px;
    margin-bottom: 1rem;
}


ol,ul,dl {
    margin-top: 0px;
    margin-bottom: 1rem;
}


.modal-footer {
    display:flex;
    flex-wrap: wrap;
    align-items:center;
    justify-content: flex-end;
    padding: 0.75rem;
    border-top: 1px solid #d5d7da;
    border-bottom-right-radius: calc(0.3rem - 1px);
    border-bottom-left-radius: calc(0.3rem -  1px);
}

:not(:disabled):not(.disabled).btn {
    cursor:pointer;
}

.modal-footer > * {
    margin: 0.25rem;
}

btn-light {
    color: #212529;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
}

.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height:1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
                border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
